Package org.apache.sysds.common

## Enum Types.Direction

- java.lang.Object
- - java.lang.Enum<Types.Direction>
  - - org.apache.sysds.common.Types.Direction

All Implemented Interfaces:
  `Serializable`, `Comparable<Types.Direction>`

Enclosing interface:
  Types

    public static enum Types.Direction
    extends Enum<Types.Direction>

Type of aggregation direction

### Enum Constant Summary

Enum Constants
`Col`
`Row`
`RowCol`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `isCol()`
`boolean` `isRow()`
`boolean` `isRowCol()`
`String` `toString()`
`static Types.Direction` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Types.Direction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RowCol

    public static final Types.Direction RowCol

#### Row

    public static final Types.Direction Row

#### Col

    public static final Types.Direction Col

### Method Detail

#### values

    public static Types.Direction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Types.Direction c : Types.Direction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Types.Direction valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isRow

    public boolean isRow()

#### isCol

    public boolean isCol()

#### isRowCol

    public boolean isRowCol()

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<Types.Direction>`